Bug 590294 - SELinux is preventing /sbin/sysctl "write" access .
SELinux is preventing /sbin/sysctl "write" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:601c9ba12ce...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 13:22 EDT by Frank Murphy
Modified: 2010-05-18 17:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-15.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-05-08 13:22:05 EDT
Summary:

SELinux is preventing /sbin/sysctl "write" access .

Detailed Description:

SELinux denied access requested by sysctl. It is not expected that this access
is required by sysctl and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:hald_t:s0
Target Context                system_u:object_r:sysctl_net_t:s0
Target Objects                None [ file ]
Source                        sysctl
Source Path                   /sbin/sysctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           procps-3.2.8-7.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.i686.PAE #1 SMP Thu May 6
                              18:27:11 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Sat 08 May 2010 11:23:18 IST
Last Seen                     Sat 08 May 2010 18:06:57 IST
Local ID                      e9c0584d-6791-4851-a311-4599490d1ab9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273338417.278:25607): avc:  denied  { write } for  pid=5194 comm="sysctl" scontext=system_u:system_r:hald_t:s0 tcontext=system_u:object_r:sysctl_net_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273338417.278:25607): arch=40000003 syscall=5 success=no exit=-13 a0=8f13008 a1=241 a2=1b6 a3=8049bed items=0 ppid=5177 pid=5194 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sysctl" exe="/sbin/sysctl" subj=system_u:system_r:hald_t:s0 key=(null)



Hash String generated from  catchall,sysctl,hald_t,sysctl_net_t,file,write
audit2allow suggests:

#============= hald_t ==============
allow hald_t sysctl_net_t:file write;
Comment 1 Frank Murphy 2010-05-08 13:35:13 EDT
Have started to use xfce4 Power Manager, put the PC to suspend after 30mins idle.
Comment 2 Daniel Walsh 2010-05-10 14:09:58 EDT
Fixed in selinux-policy-3.7.19-15.fc13.noarch
Comment 3 Fedora Update System 2010-05-11 17:16:32 EDT
selinux-policy-3.7.19-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 4 Fedora Update System 2010-05-12 08:19:16 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 5 Fedora Update System 2010-05-15 16:21:30 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 6 Fedora Update System 2010-05-18 17:46:01 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.